<ng-container *transloco="let t; read: 'profile_forms'">
  <div class="edit-details-container mat-typography">
    <h1
      mat-dialog-title
      class="primary-title">
      {{t('edit_details')}}
    </h1>
    <form
      class="content-container"
      [formGroup]="detailsForm"
      (ngSubmit)="onSubmit()">
      <div class="row-container">
        <mat-form-field class="row-item">
          <mat-label>{{t('title')}}</mat-label>
          <input
            type="text"
            matInput
            formControlName="title">
          <mat-error *ngIf="title.hasError('maxlength')">
            {{t('max_form_length', {maxLength: MAX_FORM_LENGTH})}}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="row-container">
        <mat-form-field class="row-item">
          <mat-label>{{t('first_name')}}</mat-label>
          <input
            type="text"
            matInput
            formControlName="first_name">
          <mat-error *ngIf="firstName.hasError('required')">{{t('first_name')}}{{t('required')}}</mat-error>
          <mat-error *ngIf="firstName.hasError('maxlength')">
            {{t('max_form_length', {maxLength: MAX_FORM_LENGTH})}}
          </mat-error>
          <mat-error *ngIf="firstName.hasError('pattern')">{{t('white_space')}}</mat-error>
        </mat-form-field>
        <mat-form-field class="row-item">
          <mat-label>{{t('last_name')}}</mat-label>
          <input
            type="text"
            matInput
            formControlName="last_name">
          <mat-error *ngIf="lastName.hasError('required')">{{t('last_name')}}{{t('required')}}</mat-error>
          <mat-error *ngIf="lastName.hasError('maxlength')">
            {{t('max_form_length', {maxLength: MAX_FORM_LENGTH})}}
          </mat-error>
          <mat-error *ngIf="lastName.hasError('pattern')">{{t('white_space')}}</mat-error>
        </mat-form-field>
      </div>
      <mat-divider></mat-divider>
      <div class="button-container">
        <button
          mat-stroked-button
          color="warn"
          class="round-button stroked-button-border-color"
          [mat-dialog-close]="undefined">
          {{t('cancel')}}
        </button>
        <button
          mat-flat-button
          class="round-button"
          color="primary"
          type="submit"
          [disabled]="detailsForm.invalid">
          {{t('save')}}
        </button>
      </div>
    </form>
  </div>
</ng-container>
